jiplgt(1)

NAME
jiplgt - Logtalk integration script for JIProlog

SYNOPSIS
jiplgt [-g goal]

DESCRIPTION
jiplgt is a Logtalk integration script for JIProlog. It automatically loads the JIProlog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the -c option to load the Logtalk files. It passes any options to JIProlog; see the JIProlog documentation for the available options.

OPTIONS
The most common option is:

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
JIProlog 4.1.7.1 or a later version is required. This integration script looks for a jipconsole.jar file in the $JIP_HOME directory.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

JIP_HOME
    Specifies the location of the JIProlog installation directory.

FILES

$LOGTALKHOME/integration/logtalk_ji.pl
    Prolog file used for loading the necessary files for starting Logtalk using JIProlog as the backend compiler.

$LOGTALKHOME/adapters/ji.pl
    The JIProlog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

CAVEATS
The first run of this script may require using "sudo" depending on the writing permissions of the Logtalk installation directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

The JIProlog website at http://www.jiprolog.com/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2025 Paulo Moura.